aboutsummaryrefslogtreecommitdiff
path: root/bin/rndf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/rndf.sh')
-rw-r--r--bin/rndf.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/bin/rndf.sh b/bin/rndf.sh
new file mode 100644
index 00000000..21aa76a6
--- /dev/null
+++ b/bin/rndf.sh
@@ -0,0 +1,17 @@
+# Choose a random file from a given directory using rnda(1df); ignores dot
+# files
+
+# Directory is first argument; defaults to current directory
+dir=${1:-.}
+
+# Set the positional parameters to all the non-dotfiles in that directory
+set -- "$dir"/*
+
+# Check for an unexpanded glob (empty directory)
+if ! [ -e "$1" ] ; then
+ printf >&2 'rndf: No files found in %s\n' "$dir"
+ exit 1
+fi
+
+# Print a random argument from the current positional parameters
+rnda "$@"